package lab05;

import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;

import com.fasterxml.jackson.dataformat.xml.XmlMapper;

public class FileUtility {

	public static void writeToFile(SubscriptionPlan plan) {
		XmlMapper mapper = new XmlMapper();

		File file = new File("src/main/resources/plan.xml");

		try {
			mapper.writeValue(file, plan);
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	public static SubscriptionPlan readFromFile() {
		XmlMapper mapper = new XmlMapper();

		try {
			String xml = new String(Files.readAllBytes(Paths.get("src/main/resources/plan.xml")));
			SubscriptionPlan subscriptionPlan = mapper.readValue(xml, SubscriptionPlan.class);
			return subscriptionPlan;
		} catch (IOException e) {
			e.printStackTrace();
		}

		return null;
	}
}
